<?php
/**
* モデルを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
interface IModel
{
	/**
	 * モデルIDを取得
	 */
	public function getModelID();

	/**
	 * フィールド一覧を取得
	 */
	public function getFieldList();

	/**
	 * フィールドが存在するか
	 */
	public function fieldExists( $field_name );

	/*
	 *   アノテーションを取得
	 */
	public function getAnnotation( $field, $type );

	/*
	 *   アノテーション設定値を取得
	 */
	public function getAnnotationValue( $field, $type, $defaultValue = NULL );

}
